from flask import Blueprint, jsonify, make_response
from sqlalchemy import desc
from app.roles.models import Role
from app.utils import token_required

roles = Blueprint('roles', __name__)
@roles.route('/api/v1/get/role', methods=['GET'])
@token_required(1, 2)
def get_roles(current_user):
    try:
        return jsonify({'roles': list(reversed([{
            'id': role.id,
            'role_name': role.role_name,
        } for role in Role.query.order_by(desc(Role.id)).all() if not role.id is 1]))}), 200
    except Exception as e:
        return make_response(jsonify({'message': f'Error: {e}', "status": "error"}), 500)